<?php
/* This file creates the new columns for the Redirection Boards mod. If you can't install through the
	package manager, place this file in your main forum directory and run it (ie http://www.yoursite.com/smf/RedirectPdb.php) */
// If SSI.php is in the same place as this file, and SMF isn't defined, this is being run standalone.
if (file_exists(dirname(__FILE__) . '/SSI.php') && !defined('SMF'))
	require_once(dirname(__FILE__) . '/SSI.php');
// Hmm... no SSI.php and no SMF?
elseif (!defined('SMF'))
	die('<b>Error:</b> Cannot install - please verify you put this in the same place as SMF\'s index.php.');

// Make sure this setting doesn't already exist...
$query = db_query("SELECT value FROM {$db_prefix}settings WHERE variable='redirect_hide_columns'", __FILE__, __LINE__);
if(mysql_num_rows($query) == 0)
{
	// A new setting
	$newsetting = db_query("INSERT INTO {$db_prefix}settings VALUES ('redirect_hide_columns', '0')", __FILE__, __LINE__);
	if(defined('SSI'))
	{
		echo '<span style="font-color:green">Successfully added new \'redirect_hide_columns\' setting!</span><br />';
	}
}

// Lots of new columns to insert...
$columns = array('is_redirect' => 'tinyint(4) unsigned NOT NULL default \'0\'',
				'redirect_clicks' => 'mediumint(8) unsigned NOT NULL default \'0\'',
				'redirect_count_clicks' => 'tinyint(4) unsigned NOT NULL default \'0\'',
				'redirect_target' => 'tinytext NULL',
				'redirect_url' => 'tinytext NULL');

// Look for any existing "redirect" columns first...
$query2 = db_query("SHOW COLUMNS FROM {$db_prefix}boards LIKE '%redirect%'", __FILE__, __LINE__);
while($results = mysql_fetch_assoc($query2))
{
	if(array_key_exists($results['Field'], $columns))
	{
		// Column exists, so don't insert it...
		unset($columns[$results['Field']]);
	}
}
if(!empty($columns))
{
	foreach($columns AS $column => $definition)
	{
		$query = db_query("ALTER TABLE {$db_prefix}boards ADD {$column} {$definition}", __FILE__, __LINE__);

		// If they're running this manually, let them know that everything worked...
		if(defined('SSI'))
		{
			echo '<span style="font-color:green">Successfully created column \'' . $column . '\'</span><br />';
		}
	}
}

// Insert some default values to avoid undefined index errors...
$query = db_query("UPDATE {$db_prefix}boards SET is_redirect = '0', redirect_clicks = 0, redirect_count_clicks = '0' WHERE is_redirect = ''", __FILE__, __LINE__);
if(defined('SSI'))
{
	echo '<span style="font-color:green">Successfully inserted default values</span>';
}
?>