<?php
/* This file creates the new columns for the Redirection Boards mod. If you can't install through the
	package manager, place this file in your main forum directory and run it (ie http://www.yoursite.com/smf/RedirectPdb.php) */
// If SSI.php is in the same place as this file, and SMF isn't defined, this is being run standalone.
if (file_exists(dirname(__FILE__) . '/SSI.php') && !defined('SMF'))
	require_once(dirname(__FILE__) . '/SSI.php');
// Hmm... no SSI.php and no SMF?
elseif (!defined('SMF'))
	die('<b>Error:</b> Cannot install - please verify you put this in the same place as SMF\'s index.php.');

// Remove the new setting
$dropsetting = db_query("DELETE FROM {$db_prefix}settings WHERE variable='redirect_hide_columns'", __FILE__, __LINE__);

if(defined('SSI'))
{
  	echo '<span style="font-color:green">Deleted \'redirect_hide_columns\' setting</span><br />';
}

// Remove the columns
$columns = array('is_redirect', 'redirect_clicks', 'redirect_count_clicks', 'redirect_url', 'redirect_target');
foreach($columns AS $key => $name)
{
	$query = db_query("ALTER TABLE {$db_prefix}boards DROP $name", __FILE__, __LINE__);

	if(defined('SSI'))
	{
		echo '<span style="font-color:green">Dropped column ' . $name . '</span><br />';
	}
}
?>